<?php

declare(strict_types=1);

namespace App\Controller\TblNoticiaGenfarPais;

use App\Service\TblNoticiaGenfarPaisService;
use Pimple\Psr11\Container;

abstract class Base
{
    protected Container $container;

    public function __construct(Container $container)
    {
        $this->container = $container;
    }

    protected function getTblNoticiaGenfarPaisService(): TblNoticiaGenfarPaisService
    {
        return $this->container->get('TblNoticiaGenfarPais_service');
    }
}
